#include "widgets.h"


class Element
{
    public:
        virtual ~Element() { };
        virtual int getWidth() = 0;
        virtual int getHeight() = 0;
        virtual void draw(int x, int y) = 0;
};


class Page
{
    private:
        typedef struct
        {
            int x, y;
            Element *element;
        } ElementHolder; 

    public:
        Page(char *text, int &pos, int size, Font *font);
        ~Page();

    public:
        void draw(int x, int y);
};


void showDescription(Area *parentArea)
{
    Area area;

    Font font("luxisb.ttf", 14);
    Font titleFont("cosm.ttf", 26);

    area.add(parentArea, false);
    area.add(new Window(100, 50, 600, 500, "blue.bmp"));
    area.add(new Label(&titleFont, 250, 60, 300, 40, Label::ALIGN_CENTER,
                Label::ALIGN_MIDDLE, 255,255,0, "GAME RULES"));
    area.add(new Button(110, 515, 80, 25, &font, 255,255,0, "blue.bmp", 
                "Prev", NULL));
    area.add(new Button(200, 515, 80, 25, &font, 255,255,0, "blue.bmp", 
                "Next", NULL));
    ExitCommand exitCmd(area);
    area.add(new Button(610, 515, 80, 25, &font, 255,255,0, "blue.bmp", 
                "Close", &exitCmd));
    area.add(new KeyAccel(SDLK_ESCAPE, &exitCmd));

    area.run();
}

