#ifndef __FONT_H__
#define __FONT_H__


#include <string>
#include <SDL_ttf.h>


class Font
{
    private:
        TTF_Font *font;
        void *data;
    
    public:
        Font(const std::string &name, int ptsize);
        ~Font();

    public:
        void draw(SDL_Surface *s, int x, int y, int r, int g, int b, bool shadow, const std::string &text);
        void draw(int x, int y, int r, int g, int b, bool shadow, const std::string &text);
        int getWidth(const std::string &text);
        int getHeight(const std::string &text);
        void getSize(const std::string &text, int &width, int &height);
};


#endif

