#ifndef __UTILS_H__
#define __UTILS_H__

#include <SDL.h>
#include <string>
#ifdef WIN32
#include <sys/time.h>
#endif
#include <iostream>
#include "resources.h"
#include "widgets.h"



SDL_Surface* loadImage(const std::string &name, bool transparent=false);
SDL_Surface* adjustBrightness(SDL_Surface *image, double k, bool transparent=false);
std::string toLowerCase(const std::string &s);
std::string toUpperCase(const std::string &s);
std::string intToStr(int num);
int gettimeofday(struct timeval* tp);
void drawWallpaper(const std::string &name);
void showWindow(Area *area, const std::string &fileName);
bool isInRect(int evX, int evY, int x, int y, int w, int h);
std::string numToStr(int no);
void adjustBrightness(SDL_Surface *image, int x, int y, double k);
std::string secToStr(int time);
void showMessageWindow(Area *area, const std::string &pattern, 
        int width, int height, Font *font, int r, int g, int b,
        const std::string &msg);
int getCornerPixel(SDL_Surface *surface);
void getPixel(SDL_Surface *surface, int x, int y, 
        Uint8 *r, Uint8 *g, Uint8 *b);
void setPixel(SDL_Surface *s, int x, int y, int r, int g, int b);
void drawBevel(SDL_Surface *s, int left, int top, int width, int height,
        bool raised, int size);
void ensureDirExists(const std::string &fileName);
int readInt(std::istream &stream);
std::string readString(std::istream &stream);
void writeInt(std::ostream &stream, int value);
void writeString(std::ostream &stream, const std::string &value);


#endif

